<?php
require_once(dirname(__FILE__).'/../../upgrade.php');
class create_column_ratingmessage extends UPGRADE
{
	/**
	* IsAlreadyUpgraded
	* Do we need to run this classes upgrade script or not ?
	*
	* @return bool true if the upgrade has already run, otherwise false
	*/
	function IsAlreadyUpgraded()
	{
		return $this->ColumnExists($GLOBALS['tablePrefix'].'ratings','ratingmessage');
	}

	/**
	* Upgrade
	* Do the actual upgrade of this component. If this is successful all
	* subsequent calls to IsAlreadyUpgraded should return true
	*
	* @return void
	*/
	function Upgrade()
	{
		$query = '
			ALTER TABLE `'.$GLOBALS['tablePrefix'].'ratings` ADD `ratingmessage` VARCHAR(250) NOT NULL ;
		';
		
		$result = $GLOBALS['AKB_DB']->Query($query);
	}

}

?>
